## org.hibernate.internal.jaxb.mapping.orm
Class JaxbEmbedded

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbEmbedded

    public class JaxbEmbedded

extends Object

Field Summary
`protected JaxbAccessType` `access`
`protected List<JaxbAssociationOverride>` `associationOverride`
`protected List<JaxbAttributeOverride>` `attributeOverride`
`protected String` `name`

Constructor Summary
`JaxbEmbedded()`

Method Summary
`JaxbAccessType` `getAccess()` Gets the value of the access property.
`List<JaxbAssociationOverride>` `getAssociationOverride()` Gets the value of the associationOverride property.
`List<JaxbAttributeOverride>` `getAttributeOverride()` Gets the value of the attributeOverride property.
`String` `getName()` Gets the value of the name property.
`void` `setAccess(JaxbAccessType value)` Sets the value of the access property.
`void` `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attributeOverride

    protected List<JaxbAttributeOverride> attributeOverride

### associationOverride

    protected List<JaxbAssociationOverride> associationOverride

### name

    protected String name

### access

    protected JaxbAccessType access

Constructor Detail

### JaxbEmbedded

    public JaxbEmbedded()

Method Detail

### getAttributeOverride

    public List<JaxbAttributeOverride> getAttributeOverride()

  Gets the value of the attributeOverride property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributeOverride property.

  For example, to add a new item, do as follows:

          getAttributeOverride().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbAttributeOverride`

### getAssociationOverride

    public List<JaxbAssociationOverride> getAssociationOverride()

  Gets the value of the associationOverride property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the associationOverride property.

  For example, to add a new item, do as follows:

          getAssociationOverride().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbAssociationOverride`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getAccess

    public JaxbAccessType getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `JaxbAccessType`

### setAccess

    public void setAccess(JaxbAccessType value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `JaxbAccessType`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.